Bug 1419870 - inode_dump is not generated in statedump for gluster/nfs process
Summary: inode_dump is not generated in statedump for gluster/nfs process
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: x86_64
OS: All
unspecified
low
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1427394
TreeView+ depends on / blocked
 
Reported: 2017-02-07 09:53 UTC by Mohit Agrawal
Modified: 2019-06-20 04:44 UTC (History)
3 users (show)

Fixed In Version: glusterfs-7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1427394 (view as bug list)
Environment:
Last Closed: 2019-06-20 04:44:35 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Mohit Agrawal 2017-02-07 09:53:14 UTC
Description of problem:
inode_dump is not generated in statedump after send USR1 signal or through cli for gluster/nfs process.

Version-Release number of selected component (if applicable):
ALL

How reproducible:
Always

Steps to Reproduce:
1.Setup gluster/nfs environment after off nfs.disable
2.send USR1 signal or run gluster v statedump <v-name> nfs to generate statedump
3.statedump does not show inode data

Actual results:
statedump does not show any inode data.

Expected results:

It should show inode data.
Additional info:

Comment 1 Worker Ant 2017-02-08 04:26:55 UTC
REVIEW: https://review.gluster.org/16559 (Problem: inode_dump is not generated in statedump for gluster/nfs process) posted (#1) for review on master by MOHIT AGRAWAL (moagrawa@redhat.com)

Comment 2 Worker Ant 2017-02-08 06:47:26 UTC
REVIEW: https://review.gluster.org/16559 (core: inode_dump is not generated in statedump for gluster/nfs process) posted (#2) for review on master by MOHIT AGRAWAL (moagrawa@redhat.com)

Comment 3 Worker Ant 2017-02-08 13:21:06 UTC
REVIEW: https://review.gluster.org/16559 (Problem: inode_dump is not generated in statedump for gluster/nfs process) posted (#3) for review on master by MOHIT AGRAWAL (moagrawa@redhat.com)

Comment 4 Worker Ant 2017-02-09 04:02:44 UTC
REVIEW: https://review.gluster.org/16559 (Problem: inode_dump is not generated in statedump for gluster/nfs process) posted (#4) for review on master by MOHIT AGRAWAL (moagrawa@redhat.com)

Comment 5 Amar Tumballi 2019-06-20 04:44:35 UTC
https://review.gluster.org/22846 (is merged now)


Note You need to log in before you can comment on or make changes to this bug.